@charset "UTF-8";
/* CSS Document */
/*
Here are some commonly used CSS class selectors which 
-class rules can applied to multiple elements on a page
-can be applied in any combination
*/
@font-face {/*instructions to browser where to find your custom font*/
    font-family: customName1;/*use any name but don't start with a number and don't use spaces or strange characters*/
    src:	url(../fonts/filename1.ttf);/*.ttf for non-IE browsers - the comma is very important!!!!*/
}
@font-face {/*instructions to browser where to find your custom font*/
    font-family: customName2;/*use any name but don't start with a number and don't use spaces or strange characters*/
    src:	url(../fonts/filename2.ttf);/*.ttf for non-IE browsers - the comma is very important!!!!*/ 
}
* {
    box-sizing:border-box;/*This allows you to set and border width and padding but the div will retain its set width and set height*/
    position: relative;
    margin: 0;
    padding: 0;
}
html, body {
    width:100%;
    min-height:100%;
    height:auto;
}
header, nav, section, article, figure, figcaption, aside, footer {/*ensures older browsers display these tags correctly*/
    display:block;
    /*DON'T ADD anything else in this selector block - only this property should be in this CSS selector set*/
}
body {/*these are the 5 basic CSS properties and values to start a website*/
    font-family: Verdana, sans-serif;/*change this for your design*/
    font-size:100%;/*DON'T CHANGE THIS VALUE HERE - you can set font sizes in other selector styles*/
    color:rgba(0,0,0,1.00);/*main text color, default black, change as needed*/    
    margin:0;/*removes default edges*/
    padding:0;/*removes default settings*/
    z-index:0;/*stacking order - small numbers a below high numbers*/
}
#centeringDiv, .centeringDiv{
    max-width:980px;/*optimum width for both desktops, laptops, and tablets*/
    width:100%;/*allows the page to resize it's width to fit smaller devices*/
    height: auto;/*optimum height for both desktops, laptops, and tablets*/    
    margin:0 auto;/*0 = no margin for top and bottom and auto = same margin for left and right*/
    z-index:1;/*stacking order - small numbers a below high numbers*/
}
header {
	width: 100%;
	height: 400px;
	display: -webkit-flex;/*allows elements in nav to have flexible locations*/
	display: flex;/*allows elements in nav to have flexible locations*/
	align-items: center;/*vertically centers all elements in header for a single row of elements*/
	z-index: 1000;/*stacking order - small numbers a below high numbers*/
	justify-content: center;
	font-size: 5rem;
	background-position: center top;
	background-repeat: no-repeat;
	background-attachment: fixed
}
#header1 {
	background-image: url(../images/header1.jpeg);
	background-position: -2550px -900px;
}
#header2 {
	background-image: url(../images/header2.jpg);
	color: #FFFFFF;
}
#header3 {
	background-image: url(../images/header3.jpg);
	color: #000000;
}
#header4 {background-image: url(../images/header4.jpg);
}
#header5 {
	background-position: center 0px;
	background-image: url(../images/header5.jpg);
}
.btn {
	width: 100px;
	height: 100px;
	overflow-x: hidden;
	overflow-y: hidden;
	margin: 0 40px;
	cursor: pointer;
}
	.btn img:hover{
		margin-top: -100px;
	}
nav {
	width: 100%;
	height: 150px;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: #59656E;
	position: fixed;
	top: 0px;
	left: 0px;
	z-index: 930;
}
#btn1 img {
	margin-left: 0px;
}
	#btn2 img {
	margin-left: -100px;
}
	#btn3 img {
	margin-left: -200px;
}
	#btn4 img {
	margin-left: -300px;
}
	#btn5 img {
	margin-left: -400px;
}
	#btn6 img {
	margin-left: -500px;
}

section {/*used for the main content area*/
	width: 100%;
	height: auto;
	z-index: 900;/*stacking order - below nav and .btn and article*/
	clear: both;
}
#section1 {
	margin-top: 150px;
}
article {/*used for the main content area*/
	clear: both;/*clears away and floating or text wrapping*/
	width: 100%;
	height: auto;
	padding: 10px;
	z-index: 901;/*stacking order - below nav and .btn but above section*/
	min-height: 70vh;
	margin: 0px auto;
	max-width: 1000px;
}
.title {
	width: 100%;
	display: block;
	font-weight: bold;
	font-size: 2rem;
	color: #002E8D;
	height: auto;
	clear: both;
	text-align: center;
}
.thumbnail {
	width: 200px;
	height: auto;
	padding: 5px;
	margin-right: 15px;
	border: 1px solid #000000;
	float: left;
	z-index: 300;
}
article p {
    text-indent: 0rem;/*an rem is the size of a letter m relative to what's set in the body css rule*/
}
.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
	max-width:853px;/*same width as video itself*/
	width:100%;
	margin:0 auto;/*centers the video*/
}
.videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	max-width:853px;/*change as desired*/
	max-height:480px;/*if you change max-width, make sure the height has a ratio of 16:9*/
	width: 100%;
	height: 100%;
}
.screenshotCaption{
	text-align: center;
	font-size: 1.2rem;
}
.screenshot{
	max-width: 980px;
	width: 100%;
	height: auto;
	margin-top: 0px;
}
footer {
    clear: both;/*clears away and floating or text wrapping*/
    text-align: right;
    font-size: 0.8rem;
    width: 100%;
    line-height: 1.2rem;/*This will help to vertically center the text */  
    height: auto;
    z-index: 900;/*stacking order - below article, nav, and .btn*/ 
}
/*===========Class rules to apply to multiple elements in the HTML===============================*/
figure {max-width:500px; width:100%;}/*change if needed for global figure widths*/
figure, figure p, figcaption p {text-indent: 0; text-align:center;}/*for any captions or paragraphs inside figure tags*/
figure img {width: 100%; height:auto;}/*forces image in figure to fit a specific figure width set with other CSS - default is 500px wide*/
.floatLeft {float: left;}/*positions an element on the left of parent div and have text wrap around it*/
.floatRight {float: right;}/*positions an element on the right of parent div and have text wrap around it*/
.centerText {text-align: center;}/*apply to p, h1, h2, h3, h4, h5, h6 tags - positions text in center of parent div*/
.clearFloats {clear: both; width:100%; position:relative; height:1px;}/*apply to div tags - clears away and floating or text wrapping*/
#ekphrasticText {
	color: #224C68;
	width: calc(100% - 230px);
	height: auto;
	float: left;
}
.showFancyBox {
	display: block;
}
.noshowFancyBox {
	display: none;
}
#btnProjects {
	display: none
}
